#pragma once
/*******************************************************************************
 * /* GEANT4 code for propagation of gamma-rays, electron and positrons in Earth's atmosphere */

//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
/* -------------------------------------------------------------------- */
/* ---------  N R L M S I S E - 0 0    M O D E L    2 0 0 1  ---------- */
/* -------------------------------------------------------------------- */

/* This file is part of the NRLMSISE-00  C source code package - release
 * 20020503
 *
 * The NRLMSISE-00 model was developed by Mike Picone, Alan Hedin, and
 * Doug Drob. They also wrote a NRLMSISE-00 distribution package in
 * FORTRAN which is available at
 * http://uap-www.nrl.navy.mil/models_web/msis/msis_home.htm
 *
 * Dominik Brodowski implemented and maintains this C version. You can
 * reach him at devel@brodo.de. See the file "DOCUMENTATION" for details,
 * and check http://www.brodo.de/english/pub/nrlmsise/index.html for
 * updated releases of this package.
 */

/* ------------------------------------------------------------------- */
/* ------------------------ BLOCK DATA GTD7BK ------------------------ */
/* ------------------------------------------------------------------- */

/* TEMPERATURE */
double pt[150] =
{
    9.86573E-01,                        1.62228E-02,  1.55270E-02, -1.04323E-01, -3.75801E-03, -1.18538E-03, -1.24043E-01,
    4.56820E-03,
    8.76018E-03,                       -1.36235E-01, -3.52427E-02,  8.84181E-03, -5.92127E-03,
    -8.61650E+00,                       0.00000E+00,  1.28492E-02,  0.00000E+00,  1.30096E+02,  1.04567E-02,  1.65686E-03,
    -5.53887E-06,                       2.97810E-03,  0.00000E+00,  5.13122E-03,  8.66784E-02,  1.58727E-01,  0.00000E+00,
    0.00000E+00,                        0.00000E+00, -7.27026E-06,  0.00000E+00,  6.74494E+00,  4.93933E-03,  2.21656E-03,
    2.50802E-03,                        0.00000E+00,  0.00000E+00, -2.08841E-02, -1.79873E+00,  1.45103E-03,  2.81769E-04,
    -1.44703E-03,                      -5.16394E-05,  8.47001E-02,  1.70147E-01,  5.72562E-03,  5.07493E-05,  4.36148E-03,
    1.17863E-04,                        4.74364E-03,  6.61278E-03,  4.34292E-05,  1.44373E-03,  2.41470E-05,  2.84426E-03,
    8.56560E-04,                        2.04028E-03,  0.00000E+00, -3.15994E+03, -2.46423E-03,  1.13843E-03,  4.20512E-04,
    0.00000E+00,                       -9.77214E+01,  6.77794E-03,  5.27499E-03,  1.14936E-03,  0.00000E+00, -6.61311E-03,
    -1.84255E-02,                      -1.96259E-02,  2.98618E+04,  0.00000E+00,  0.00000E+00,  0.00000E+00,  6.44574E+02,
    8.84668E-04,                        5.05066E-04,  0.00000E+00,  4.02881E+03, -1.89503E-03,  0.00000E+00,  0.00000E+00,
    8.21407E-04,                        2.06780E-03,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,
    -1.20410E-02,                      -3.63963E-03,  9.92070E-05, -1.15284E-04, -6.33059E-05, -6.05545E-01,  8.34218E-03,
    -9.13036E+01,                       3.71042E-04,  0.00000E+00,  4.19000E-04,  2.70928E-03,  3.31507E-03, -4.44508E-03,
    -4.96334E-03,                      -1.60449E-03,  3.95119E-03,  2.48924E-03,  5.09815E-04,  4.05302E-03,  2.24076E-03,
    0.00000E+00,                        6.84256E-03,  4.66354E-04,  0.00000E+00, -3.68328E-04,  0.00000E+00,  0.00000E+00,
    -1.46870E+02,                       0.00000E+00,  0.00000E+00,  1.09501E-03,  4.65156E-04,  5.62583E-04,  3.21596E+00,
    6.43168E-04,                        3.14860E-03,  3.40738E-03,  1.78481E-03,  9.62532E-04,  5.58171E-04,  3.43731E+00,
    -2.33195E-01,                       5.10289E-04,  0.00000E+00,  0.00000E+00, -9.25347E+04,  0.00000E+00, -1.99639E-03,
    0.00000E+00,                        0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,
    0.00000E+00,                        0.00000E+00,  0.00000E+00, 0.00000E+00
};

double pd[9][150] =
{
    /*  HE DENSITY */
    {
        1.09979E+00, -4.88060E-02, -1.97501E-01, -9.10280E-02, -6.96558E-03,  2.42136E-02,  3.91333E-01, -7.20068E-03,
        -3.22718E-02,  1.41508E+00, 1.68194E-01, 1.85282E-02,  1.09384E-01,
        -7.24282E+00, 0.00000E+00, 2.96377E-01, -4.97210E-02, 1.04114E+02, -8.61108E-02, -7.29177E-04, 1.48998E-06,
        1.08629E-03, 0.00000E+00, 0.00000E+00, 8.31090E-02, 1.12818E-01, -5.75005E-02,
        -1.29919E-02, -1.78849E-02, -2.86343E-06, 0.00000E+00, -1.51187E+02, -6.65902E-03, 0.00000E+00, -2.02069E-03,
        0.00000E+00, 0.00000E+00, 4.32264E-02, -2.80444E+01, -3.26789E-03, 2.47461E-03,
        0.00000E+00, 0.00000E+00, 9.82100E-02, 1.22714E-01, -3.96450E-02, 0.00000E+00, -2.76489E-03, 0.00000E+00,
        1.87723E-03, -8.09813E-03, 4.34428E-05, -7.70932E-03, 0.00000E+00, -2.28894E-03,
        -5.69070E-03, -5.22193E-03, 6.00692E-03, -7.80434E+03, -3.48336E-03, -6.38362E-03, -1.82190E-03, 0.00000E+00,
        -7.58976E+01, -2.17875E-02, -1.72524E-02, -9.06287E-03, 0.00000E+00, 2.44725E-02,
        8.66040E-02, 1.05712E-01, 3.02543E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00, -6.01364E+03, -5.64668E-03,
        -2.54157E-03, 0.00000E+00, 3.15611E+02, -5.69158E-03, 0.00000E+00, 0.00000E+00,
        -4.47216E-03, -4.49523E-03, 4.64428E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 4.51236E-02,
        2.46520E-02, 6.17794E-03, 0.00000E+00, 0.00000E+00, -3.62944E-01, -4.80022E-02,
        -7.57230E+01, -1.99656E-03, 0.00000E+00, -5.18780E-03, -1.73990E-02, -9.03485E-03, 7.48465E-03, 1.53267E-02,
        1.06296E-02, 1.18655E-02, 2.55569E-03, 1.69020E-03, 3.51936E-02, -1.81242E-02,
        0.00000E+00, -1.00529E-01, -5.10574E-03, 0.00000E+00, 2.10228E-03, 0.00000E+00, 0.00000E+00, -1.73255E+02,
        5.07833E-01, -2.41408E-01, 8.75414E-03, 2.77527E-03, -8.90353E-05, -5.25148E+00,
        -5.83899E-03, -2.09122E-02, -9.63530E-03, 9.77164E-03, 4.07051E-03, 2.53555E-04, -5.52875E+00, -3.55993E-01,
        -2.49231E-03, 0.00000E+00, 0.00000E+00, 2.86026E+01, 0.00000E+00, 3.42722E-04,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* O DENSITY */
    {
        1.02315E+00, -1.59710E-01,
        -1.06630E-01, -1.77074E-02, -4.42726E-03, 3.44803E-02, 4.45613E-02, -3.33751E-02, -5.73598E-02, 3.50360E-01,
        6.33053E-02, 2.16221E-02, 5.42577E-02, -5.74193E+00, 0.00000E+00, 1.90891E-01,
        -1.39194E-02, 1.01102E+02, 8.16363E-02, 1.33717E-04, 6.54403E-06, 3.10295E-03, 0.00000E+00, 0.00000E+00,
        5.38205E-02, 1.23910E-01, -1.39831E-02, 0.00000E+00, 0.00000E+00, -3.95915E-06,
        0.00000E+00, -7.14651E-01, -5.01027E-03, 0.00000E+00, -3.24756E-03, 0.00000E+00, 0.00000E+00, 4.42173E-02,
        -1.31598E+01, -3.15626E-03, 1.24574E-03, -1.47626E-03, -1.55461E-03, 6.40682E-02,
        1.34898E-01, -2.42415E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 6.13666E-04, -5.40373E-03, 2.61635E-05,
        -3.33012E-03, 0.00000E+00, -3.08101E-03, -2.42679E-03, -3.36086E-03, 0.00000E+00,
        -1.18979E+03, -5.04738E-02, -2.61547E-03, -1.03132E-03, 1.91583E-04, -8.38132E+01, -1.40517E-02, -1.14167E-02,
        -4.08012E-03, 1.73522E-04, -1.39644E-02, -6.64128E-02, -6.85152E-02,
        -1.34414E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 6.07916E+02, -4.12220E-03, -2.20996E-03, 0.00000E+00,
        1.70277E+03, -4.63015E-03, 0.00000E+00, 0.00000E+00, -2.25360E-03, -2.96204E-03,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.92786E-02, 1.31186E-02, -1.78086E-03,
        0.00000E+00, 0.00000E+00, -3.90083E-01, -2.84741E-02, -7.78400E+01, -1.02601E-03,
        0.00000E+00, -7.26485E-04, -5.42181E-03, -5.59305E-03, 1.22825E-02, 1.23868E-02, 6.68835E-03, -1.03303E-02,
        -9.51903E-03, 2.70021E-04, -2.57084E-02, -1.32430E-02, 0.00000E+00, -3.81000E-02,
        -3.16810E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        -9.05762E-04, -2.14590E-03, -1.17824E-03, 3.66732E+00, -3.79729E-04, -6.13966E-03,
        -5.09082E-03, -1.96332E-03, -3.08280E-03, -9.75222E-04, 4.03315E+00, -2.52710E-01, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00
    }, /* N2 DENSITY */
    {
        1.16112E+00,  0.00000E+00,  0.00000E+00,  3.33725E-02,
        0.00000E+00, 3.48637E-02, -5.44368E-03, 0.00000E+00, -6.73940E-02, 1.74754E-01, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 1.74712E+02, 0.00000E+00, 1.26733E-01, 0.00000E+00, 1.03154E+02,
        5.52075E-02, 0.00000E+00, 0.00000E+00, 8.13525E-04, 0.00000E+00, 0.00000E+00, 8.66784E-02, 1.58727E-01,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.50482E+01,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.48894E-03,
        6.16053E-04, -5.79716E-04, 2.95482E-03, 8.47001E-02, 1.70147E-01, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.47425E-05, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* TLB */
    {
        9.44846E-01,  0.00000E+00,  0.00000E+00, -3.08617E-02,  0.00000E+00, -2.44019E-02,  6.48607E-03,
        0.00000E+00, 3.08181E-02, 4.59392E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.74712E+02, 0.00000E+00,
        2.13260E-02, 0.00000E+00, -3.56958E+02, 0.00000E+00, 1.82278E-04, 0.00000E+00,
        3.07472E-04, 0.00000E+00, 0.00000E+00, 8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 3.83054E-03, 0.00000E+00, 0.00000E+00,
        -1.93065E-03, -1.45090E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.23493E-03, 1.36736E-03,
        8.47001E-02, 1.70147E-01, 3.71469E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 5.10250E-03, 2.47425E-05, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.68756E-03, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* O2 DENSITY */
    {
        1.35580E+00,  1.44816E-01,  0.00000E+00,  6.07767E-02,  0.00000E+00,  2.94777E-02,  7.46900E-02,  0.00000E+00,
        -9.23822E-02,  8.57342E-02,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 2.38636E+01, 0.00000E+00, 7.71653E-02, 0.00000E+00, 8.18751E+01,
        1.87736E-02, 0.00000E+00, 0.00000E+00, 1.49667E-02, 0.00000E+00, 0.00000E+00,
        8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.67874E+02,
        5.48158E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 8.47001E-02, 1.70147E-01, 1.22631E-02,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 8.17187E-03, 3.71617E-05,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.10826E-03, -3.13640E-03,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, -7.35742E-02, -5.00266E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 1.94965E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* AR DENSITY */
    {
        1.04761E+00,  2.00165E-01,  2.37697E-01,  3.68552E-02,  0.00000E+00,  3.57202E-02, -2.14075E-01,  0.00000E+00,
        -1.08018E-01, -3.73981E-01, 0.00000E+00, 3.10022E-02, -1.16305E-03, -2.07596E+01,
        0.00000E+00, 8.64502E-02, 0.00000E+00, 9.74908E+01, 5.16707E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 3.46193E+02, 1.34297E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, -3.48509E-03, -1.54689E-04, 0.00000E+00,
        0.00000E+00, 8.47001E-02, 1.70147E-01, 1.47753E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        1.89320E-02, 3.68181E-05, 1.32570E-02, 0.00000E+00, 0.00000E+00, 3.59719E-03,
        7.44328E-03, -1.00023E-03, -6.50528E+03, 0.00000E+00, 1.03485E-02, -1.00983E-03, -4.06916E-03, -6.60864E+01,
        -1.71533E-02, 1.10605E-02, 1.20300E-02, -5.20034E-03, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.62769E+03, 7.13755E-03, 4.17999E-03,
        0.00000E+00, 1.25910E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.23595E-03,
        4.60217E-03, 5.71794E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.18353E-02, -2.35526E-02,
        -1.36189E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.03522E-02, -6.67837E+01,
        -1.09724E-03, 0.00000E+00, -1.38821E-02, 1.60468E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 1.51574E-02, -5.44470E-04, 0.00000E+00,
        7.28224E-02, 6.59413E-02, 0.00000E+00, -5.15692E-03, 0.00000E+00, 0.00000E+00, -3.70367E+03, 0.00000E+00,
        0.00000E+00, 1.36131E-02, 5.38153E-03, 0.00000E+00, 4.76285E+00, -1.75677E-02,
        2.26301E-02, 0.00000E+00, 1.76631E-02, 4.77162E-03, 0.00000E+00, 5.39354E+00, 0.00000E+00, -7.51710E-03,
        0.00000E+00, 0.00000E+00, -8.82736E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00
    }, /* H DENSITY */
    {
        1.26376E+00, -2.14304E-01, -1.49984E-01,
        2.30404E-01, 2.98237E-02, 2.68673E-02, 2.96228E-01, 2.21900E-02, -2.07655E-02, 4.52506E-01, 1.20105E-01,
        3.24420E-02, 4.24816E-02, -9.14313E+00, 0.00000E+00, 2.47178E-02, -2.88229E-02,
        8.12805E+01, 5.10380E-02, -5.80611E-03, 2.51236E-05, -1.24083E-02, 0.00000E+00, 0.00000E+00, 8.66784E-02,
        1.58727E-01, -3.48190E-02, 0.00000E+00, 0.00000E+00, 2.89885E-05, 0.00000E+00,
        1.53595E+02, -1.68604E-02, 0.00000E+00, 1.01015E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        2.84552E-04, -1.22181E-03, 0.00000E+00, 0.00000E+00, 8.47001E-02, 1.70147E-01,
        -1.04927E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, -5.91313E-03, -2.30501E-02, 3.14758E-05, 0.00000E+00,
        0.00000E+00, 1.26956E-02, 8.35489E-03, 3.10513E-04, 0.00000E+00, 3.42119E+03,
        -2.45017E-03, -4.27154E-04, 5.45152E-04, 1.89896E-03, 2.89121E+01, -6.49973E-03, -1.93855E-02, -1.48492E-02,
        0.00000E+00, -5.10576E-02, 7.87306E-02, 9.51981E-02, -1.49422E+04, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 2.65503E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 6.37110E-03, 3.24789E-04, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 6.14274E-02, 1.00376E-02, -8.41083E-04, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -1.27099E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.94077E-03,
        -1.28601E-02, -7.97616E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -6.71465E-03, -1.69799E-03,
        1.93772E-03, 3.81140E+00, -7.79290E-03, -1.82589E-02, -1.25860E-02, -1.04311E-02,
        -3.02465E-03, 2.43063E-03, 3.63237E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* N DENSITY */
    {
        7.09557E+01, -3.26740E-01,  0.00000E+00, -5.16829E-01, -1.71664E-03,  9.09310E-02,
        -6.71500E-01, -1.47771E-01, -9.27471E-02, -2.30862E-01, -1.56410E-01, 1.34455E-02, -1.19717E-01, 2.52151E+00,
        0.00000E+00, -2.41582E-01, 5.92939E-02, 4.39756E+00, 9.15280E-02, 4.41292E-03,
        0.00000E+00, 8.66807E-03, 0.00000E+00, 0.00000E+00, 8.66784E-02, 1.58727E-01, 9.74701E-02, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 6.70217E+01, -1.31660E-03, 0.00000E+00,
        -1.65317E-02, 0.00000E+00, 0.00000E+00, 8.50247E-02, 2.77428E+01, 4.98658E-03, 6.15115E-03, 9.50156E-03,
        -2.12723E-02, 8.47001E-02, 1.70147E-01, -2.38645E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 1.37380E-03, -8.41918E-03, 2.80145E-05, 7.12383E-03, 0.00000E+00, -1.66209E-02, 1.03533E-04,
        -1.68898E-02, 0.00000E+00, 3.64526E+03, 0.00000E+00, 6.54077E-03, 3.69130E-04,
        9.94419E-04, 8.42803E+01, -1.16124E-02, -7.74414E-03, -1.68844E-03, 1.42809E-03, -1.92955E-03, 1.17225E-01,
        -2.41512E-02, 1.50521E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.60261E+03,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.54403E-04,
        -1.87270E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        2.76439E-02, 6.43207E-03, -3.54300E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.80221E-02, 8.11228E+01,
        -6.75255E-04, 0.00000E+00, -1.05162E-02, -3.48292E-03, -6.97321E-03, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, -1.45546E-03, -1.31970E-02, -3.57751E-03, -1.09021E+00, -1.50181E-02,
        -7.12841E-03, -6.64590E-03, -3.52610E-03, -1.87773E-02, -2.22432E-03, -3.93895E-01,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00
    }, /* HOT O DENSITY */
    {
        6.04050E-02,  1.57034E+00,  2.99387E-02,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,  0.00000E+00,
        0.00000E+00,
        -1.51018E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -8.61650E+00, 1.26454E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 5.50878E-03, 0.00000E+00,
        0.00000E+00, 8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 6.23881E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 8.47001E-02, 1.70147E-01,
        -9.45934E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00
    }
};
/* S PARAM  */
double ps[150] =
{
    9.56827E-01,                      6.20637E-02,  3.18433E-02, 0.00000E+00, 0.00000E+00, 3.94900E-02,  0.00000E+00,
    0.00000E+00,
    -9.24882E-03,                    -7.94023E-03,  0.00000E+00, 0.00000E+00, 0.00000E+00,
    1.74712E+02,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      2.74677E-03,  0.00000E+00, 1.54951E-02, 8.66784E-02, 1.58727E-01,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -6.99007E-04,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    1.24362E-02,                     -5.28756E-03,  8.47001E-02, 1.70147E-01, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 2.47425E-05, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  0.00000E+00,
    0.00000E+00,                      0.00000E+00,  0.00000E+00, 0.00000E+00
};

/* TURBO */
double pdl[2][25] =
{
    {
        1.09930E+00, 3.90631E+00, 3.07165E+00, 9.86161E-01, 1.63536E+01, 4.63830E+00, 1.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 1.28840E+00, 3.10302E-02, 1.18339E-01
    },
    {
        1.00000E+00, 7.00000E-01,
        1.15020E+00, 3.44689E+00, 1.28840E+00, 1.00000E+00, 1.08738E+00, 1.22947E+00, 1.10016E+00, 7.34129E-01,
        1.15241E+00, 2.22784E+00, 7.95046E-01, 4.01612E+00, 4.47749E+00, 1.23435E+02,
        -7.60535E-02, 1.68986E-06, 7.44294E-01, 1.03604E+00, 1.72783E+02, 1.15020E+00, 3.44689E+00, -7.46230E-01,
        9.49154E-01
    }
};
/* LOWER BOUNDARY */
double ptm[50] =
{
    1.04130E+03,       3.86000E+02, 1.95000E+02, 1.66728E+01, 2.13000E+02, 1.20000E+02, 2.40000E+02, 1.87000E+02,
    -2.00000E+00, 0.00000E+00
};
double pdm[8][10] =
{
    {
        2.45600E+07, 6.71072E-06, 1.00000E+02,  0.00000E+00, 1.10000E+02, 1.00000E+01, 0.00000E+00,  0.00000E+00,
        0.00000E+00, 0.00000E+00
    },
    {
        8.59400E+10, 1.00000E+00, 1.05000E+02,
        -8.00000E+00, 1.10000E+02, 1.00000E+01, 9.00000E+01, 2.00000E+00, 0.00000E+00, 0.00000E+00
    },
    {
        2.81000E+11, 0.00000E+00, 1.05000E+02,  2.80000E+01, 2.89500E+01, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00
    },
    {
        3.30000E+10, 2.68270E-01, 1.05000E+02,  1.00000E+00, 1.10000E+02, 1.00000E+01, 1.10000E+02, -1.00000E+01,
        0.00000E+00, 0.00000E+00
    },
    {
        1.33000E+09,
        1.19615E-02, 1.05000E+02, 0.00000E+00, 1.10000E+02, 1.00000E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00
    },
    {
        1.76100E+05, 1.00000E+00, 9.50000E+01, -8.00000E+00, 1.10000E+02,
        1.00000E+01, 9.00000E+01, 2.00000E+00, 0.00000E+00, 0.00000E+00,
    },
    {
        1.00000E+07, 1.00000E+00, 1.05000E+02, -8.00000E+00, 1.10000E+02, 1.00000E+01, 9.00000E+01,  2.00000E+00,
        0.00000E+00,
        0.00000E+00
    },
    { 1.00000E+06, 1.00000E+00, 1.05000E+02, -8.00000E+00, 5.50000E+02, 7.60000E+01, 9.00000E+01,  2.00000E+00, 0.00000E+00, 4.00000E+03 }
};

double ptl[4][100] =
{
    /* TN1(2) */
    {
        1.00858E+00,  4.56011E-02, -2.22972E-02, -5.44388E-02,  5.23136E-04, -1.88849E-02,  5.23707E-02, -9.43646E-03,  6.31707E-03, -7.80460E-02, -4.88430E-02, 0.00000E+00, 0.00000E+00,
        -7.60250E+00, 0.00000E+00, -1.44635E-02, -1.76843E-02, -1.21517E+02, 2.85647E-02, 0.00000E+00, 0.00000E+00, 6.31792E-04, 0.00000E+00, 5.77197E-03, 8.66784E-02, 1.58727E-01, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -8.90272E+03, 3.30611E-03, 3.02172E-03, 0.00000E+00, -2.13673E-03, -3.20910E-04, 0.00000E+00, 0.00000E+00, 2.76034E-03, 2.82487E-03,
        -2.97592E-04, -4.21534E-03, 8.47001E-02, 1.70147E-01, 8.96456E-03, 0.00000E+00, -1.08596E-02, 0.00000E+00, 0.00000E+00, 5.57917E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 9.65405E-03,
        0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /*  TN1(3) */
    {
        9.39664E-01,  8.56514E-02, -6.79989E-03,  2.65929E-02, -4.74283E-03,  1.21855E-02, -2.14905E-02,  6.49651E-03, -2.05477E-02, -4.24952E-02,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 1.19148E+01, 0.00000E+00, 1.18777E-02, -7.28230E-02, -8.15965E+01, 1.73887E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.44691E-02, 2.80259E-04,
        8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.16584E+02, 3.18713E-03, 7.37479E-03, 0.00000E+00, -2.55018E-03, -3.92806E-03, 0.00000E+00,
        0.00000E+00, -2.89757E-03, -1.33549E-03, 1.02661E-03, 3.53775E-04, 8.47001E-02, 1.70147E-01, -9.17497E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.56082E-03, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, -1.00902E-02, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN1(4) */
    {
        9.85982E-01, -4.55435E-02,  1.21106E-02,  2.04127E-02, -2.40836E-03,  1.11383E-02, -4.51926E-02,
        1.35074E-02, -6.54139E-03, 1.15275E-01, 1.28247E-01, 0.00000E+00, 0.00000E+00, -5.30705E+00, 0.00000E+00, -3.79332E-02, -6.24741E-02, 7.71062E-01, 2.96315E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 6.81051E-03, -4.34767E-03, 8.66784E-02, 1.58727E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.07003E+01, -2.76907E-03, 4.32474E-04, 0.00000E+00,
        1.31497E-03, -6.47517E-04, 0.00000E+00, -2.20621E+01, -1.10804E-03, -8.09338E-04, 4.18184E-04, 4.29650E-03, 8.47001E-02, 1.70147E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -4.04337E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -9.52550E-04, 8.56253E-04, 4.33114E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.21223E-03, 2.38694E-04, 9.15245E-04,
        1.28385E-03, 8.67668E-04, -5.61425E-06, 1.04445E+00, 3.41112E+01, 0.00000E+00, -8.40704E-01, -2.39639E+02, 7.06668E-01, -2.05873E+01, -3.63696E-01, 2.39245E+01, 0.00000E+00, -1.06657E-03,
        -7.67292E-04, 1.54534E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN1(5) TN2(1) */
    {
        1.00320E+00,  3.83501E-02, -2.38983E-03,
        2.83950E-03, 4.20956E-03, 5.86619E-04, 2.19054E-02, -1.00946E-02, -3.50259E-03, 4.17392E-02, -8.44404E-03, 0.00000E+00, 0.00000E+00, 4.96949E+00, 0.00000E+00, -7.06478E-03, -1.46494E-02,
        3.13258E+01, -1.86493E-03, 0.00000E+00, -1.67499E-02, 0.00000E+00, 0.00000E+00, 5.12686E-04, 8.66784E-02, 1.58727E-01, -4.64167E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 4.37353E-03,
        -1.99069E+02, 0.00000E+00, -5.34884E-03, 0.00000E+00, 1.62458E-03, 2.93016E-03, 2.67926E-03, 5.90449E+02, 0.00000E+00, 0.00000E+00, -1.17266E-03, -3.58890E-04, 8.47001E-02, 1.70147E-01,
        0.00000E+00, 0.00000E+00, 1.38673E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.60571E-03, 6.28078E-04, 5.05469E-05, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -1.57829E-03, -4.00855E-04, 5.04077E-05, -1.39001E-03, -2.33406E-03, -4.81197E-04, 1.46758E+00, 6.20332E+00, 0.00000E+00, 3.66476E-01, -6.19760E+01, 3.09198E-01, -1.98999E+01,
        0.00000E+00, -3.29933E+02, 0.00000E+00, -1.10080E-03, -9.39310E-05, 1.39638E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }
};

double pma[10][100] =
{
    /* TN2(2) */
    {
        9.81637E-01, -1.41317E-03,  3.87323E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.58707E-02, -8.63658E-03, 0.00000E+00, 0.00000E+00, -2.02226E+00,
        0.00000E+00, -8.69424E-03, -1.91397E-02, 8.76779E+01, 4.52188E-03, 0.00000E+00, 2.23760E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -7.07572E-03, 0.00000E+00,
        0.00000E+00, 0.00000E+00, -4.11210E-03, 3.50060E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -8.36657E-03, 1.61347E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.45130E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.24152E-03, 6.43365E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.33255E-03, 2.42657E-03, 1.60666E-03, -1.85728E-03, -1.46874E-03, -4.79163E-06, 1.22464E+00, 3.53510E+01, 0.00000E+00, 4.49223E-01,
        -4.77466E+01, 4.70681E-01, 8.41861E+00, -2.88198E-01, 1.67854E+02, 0.00000E+00, 7.11493E-04, 6.05601E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 2.00000E+00
    }, /* TN2(3) */
    {
        1.00422E+00, -7.11212E-03,  5.24480E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -5.28914E-02, -2.41301E-02,
        0.00000E+00, 0.00000E+00, -2.12219E+01, -1.03830E-02, -3.28077E-03, 1.65727E-02, 1.68564E+00, -6.68154E-03, 0.00000E+00, 1.45155E-02, 0.00000E+00, 8.42365E-03, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -4.34645E-03, 0.00000E+00, 0.00000E+00, 2.16780E-02, 0.00000E+00, -1.38459E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 7.04573E-03, -4.73204E+01,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.08767E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -8.08279E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 5.21769E-04, -2.27387E-04, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.26769E-03, 3.16901E-03, 4.60316E-04, -1.01431E-04, 1.02131E-03, 9.96601E-04, 1.25707E+00,
        2.50114E+01, 0.00000E+00, 4.24472E-01, -2.77655E+01, 3.44625E-01, 2.75412E+01, 0.00000E+00, 7.94251E+02, 0.00000E+00, 2.45835E-03, 1.38871E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN2(4) TN3(1) */
    {
        1.01890E+00, -2.46603E-02,  1.00078E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -6.70977E-02, -4.02286E-02, 0.00000E+00, 0.00000E+00, -2.29466E+01, -7.47019E-03, 2.26580E-03, 2.63931E-02, 3.72625E+01, -6.39041E-03, 0.00000E+00, 9.58383E-03, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.85291E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.39717E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 9.19771E-03, -3.69121E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.57067E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -7.07265E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        -2.92953E-03, -2.77739E-03, -4.40092E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.47280E-03, 2.95035E-04, -1.81246E-03, 2.81945E-03,
        4.27296E-03, 9.78863E-04, 1.40545E+00, -6.19173E+00, 0.00000E+00, 0.00000E+00, -7.93632E+01, 4.44643E-01, -4.03085E+02, 0.00000E+00, 1.15603E+01, 0.00000E+00, 2.25068E-03, 8.48557E-04,
        -2.98493E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN3(2) */
    {
        9.75801E-01,  3.80680E-02, -3.05198E-02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.85575E-02, 5.04057E-02, 0.00000E+00, 0.00000E+00, -1.76046E+02, 1.44594E-02, -1.48297E-03, -3.68560E-03, 3.02185E+01, -3.23338E-03,
        0.00000E+00, 1.53569E-02, 0.00000E+00, -1.15558E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 4.89620E-03, 0.00000E+00, 0.00000E+00, -1.00616E-02, -8.21324E-03, -1.57757E+02, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 6.63564E-03, 4.58410E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        -2.51280E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 9.91215E-03, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, -8.73148E-04, -1.29648E-03, -7.32026E-05, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -4.68110E-03,
        -4.66003E-03, -1.31567E-03, -7.39390E-04, 6.32499E-04, -4.65588E-04, -1.29785E+00, -1.57139E+02, 0.00000E+00, 2.58350E-01, -3.69453E+01, 4.10672E-01, 9.78196E+00, -1.52064E-01, -3.85084E+03,
        0.00000E+00, -8.52706E-04, -1.40945E-03, -7.26786E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN3(3) */
    {
        9.60722E-01,  7.03757E-02,
        -3.00266E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.22671E-02, 4.10423E-02, 0.00000E+00, 0.00000E+00, -1.63070E+02, 1.06073E-02, 5.40747E-04,
        7.79481E-03, 1.44908E+02, 1.51484E-04, 0.00000E+00, 1.97547E-02, 0.00000E+00, -1.41844E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 5.77884E-03, 0.00000E+00, 0.00000E+00, 9.74319E-03,
        0.00000E+00, -2.88015E+03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -4.44902E-03, -2.92760E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 2.34419E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 5.36685E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -4.65325E-04, -5.50628E-04, 3.31465E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, -2.06179E-03, -3.08575E-03, -7.93589E-04, -1.08629E-04, 5.95511E-04, -9.05050E-04, 1.18997E+00, 4.15924E+01, 0.00000E+00, -4.72064E-01, -9.47150E+02, 3.98723E-01,
        1.98304E+01, 0.00000E+00, 3.73219E+03, 0.00000E+00, -1.50040E-03, -1.14933E-03, -1.56769E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TN3(4) */
    {
        1.03123E+00, -7.05124E-02,  8.71615E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -3.82621E-02, -9.80975E-03, 0.00000E+00, 0.00000E+00,  2.89286E+01,  9.57341E-03,
        0.00000E+00, 0.00000E+00, 8.66153E+01, 7.91938E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 4.68917E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 7.86638E-03, 0.00000E+00, 0.00000E+00,
        9.90827E-03, 0.00000E+00, 6.55573E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -4.00200E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 7.07457E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 5.72268E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.04970E-04, 1.21560E-03, -8.05579E-06, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, -2.49941E-03, -4.57256E-04, -1.59311E-04, 2.96481E-04, -1.77318E-03, -6.37918E-04, 1.02395E+00, 1.28172E+01, 0.00000E+00, 1.49903E-01, -2.63818E+01,
        0.00000E+00, 4.70628E+01, -2.22139E-01, 4.82292E-02, 0.00000E+00, -8.67075E-04, -5.86479E-04, 5.32462E-04, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        2.00000E+00
    }, /* TN3(5) SURFACE TEMP TSL */
    {
        1.00828E+00, -9.10404E-02, -2.26549E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -2.32420E-02, -9.08925E-03,
        0.00000E+00, 0.00000E+00, 3.36105E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.24957E+01, -5.87939E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.79765E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.01237E+03,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.75553E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.29699E-03, 1.26659E-03, 2.68402E-04,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 1.17894E-03, 1.48746E-03, 1.06478E-04, 1.34743E-04, -2.20939E-03, -6.23523E-04, 6.36539E-01,
        1.13621E+01, 0.00000E+00, -3.93777E-01, 2.38687E+03, 0.00000E+00, 6.61865E+02, -1.21434E-01, 9.27608E+00, 0.00000E+00, 1.68478E-04, 1.24892E-03, 1.71345E-03, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TGN3(2) SURFACE GRAD TSLG */
    {
        1.57293E+00, -6.78400E-01,  6.47500E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, -7.62974E-02, -3.60423E-01, 0.00000E+00, 0.00000E+00, 1.28358E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 4.68038E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.67898E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.90994E+04, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 3.15706E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TGN2(1) TGN1(2) */
    {
        8.60028E-01,  3.77052E-01,  0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.17570E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 7.77757E-03, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        1.01024E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        6.54251E+02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, -1.56959E-02, 1.91001E-02, 3.15971E-02, 1.00982E-02, -6.71565E-03, 2.57693E-03, 1.38692E+00, 2.82132E-01, 0.00000E+00, 0.00000E+00, 3.81511E+02, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 2.00000E+00
    }, /* TGN3(1) TGN2(2) */
    {
        1.06029E+00, -5.25231E-02,  3.73034E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,  3.31072E-02, -3.88409E-01, 0.00000E+00, 0.00000E+00, -1.65295E+02, -2.13801E-01,
        -4.38916E-02, -3.22716E-01, -8.82393E+01, 1.18458E-01, 0.00000E+00, -4.35863E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -1.19782E-01, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 2.62229E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -5.37443E+01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, -4.55788E-01, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 3.84009E-02, 3.96733E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 5.05494E-02, 7.39617E-02, 1.92200E-02, -8.46151E-03, -1.34244E-02, 1.96338E-02, 1.50421E+00, 1.88368E+01, 0.00000E+00, 0.00000E+00, -5.13114E+01,
        0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 5.11923E-02, 3.61225E-02, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
        2.00000E+00
    }
};

/* SEMIANNUAL MULT SAM */
double sam[100] = { 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00,
                    1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00,
                    1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00,
                    1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 1.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
                    0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
                    0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
                    0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00, 0.00000E+00,
                    0.00000E+00, 0.00000E+00, 0.00000E+00
                  };

/* MIDDLE ATMOSPHERE AVERAGES */
double pavgm[10] = { 2.61000E+02, 2.64000E+02, 2.29000E+02, 2.17000E+02, 2.17000E+02, 2.23000E+02, 2.86760E+02, -2.93940E+00, 2.50000E+00, 0.00000E+00 };
